* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-repeat: none;
  background-color: #024059;
}

html{
  scroll-behavior: smooth;
}

body{
  margin: 0;
}

@font-face {
  font-family: customfont;
  src: url(../fonts/Streetwear.ttf);
  font-weight: normal;
  font-style: normal;
}

.page-container{
  width: 95vw;
  height: 100vh;
  margin: auto;

  font-family: arial;
  font-weight: bold;
  font-size: 20px;

  display: grid;

  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 50px 1fr 1fr 0px;

  gap: 10px;

  padding: 10px;
  box-sizing: border-box;
}

.page-container div{
  padding: 10px;
}

.homepage-welcometext{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 3;
}

.homepage-startbutton{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 4;
}

.homepage-image{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 4;
}

.contactpage-text{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 4;
}

.contactpage-links{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 4;
}

.aboutpage-text-1{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 3;
}

.aboutpage-text-2{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 3;
  grid-row-end: 4;
}

.aboutpage-image{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 4;
}

.portfoliopage-1{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 4;
}

.portfoliopage-2{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 4;
}

.portfoliopage-3{
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 4;
}

.portfoliopage-4{
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 4;
}

header.navbar{
  position: fixed;
  background-color: #03161c;
  margin: none;
  padding: 0;
  text-align: left;
  width: 100%;
  transition: background-size 0.5s ease;
  height: 45px;
  z-index: 2;
}

a.menubutton {
  background-color: #03161c;
  text-decoration: none;
  font-family: arial;
  font-weight: bold;
  color: white;
  font-size: 50%;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 0% 3px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  margin-left: 1.5vw;
  margin-right: 0.5vw;
  padding-bottom: 5px;
}

.menubutton:hover {
  background-size: 100% 3px;
}

.welcometext{
  text-align: center;
  font-family: customfont;
  font-weight: normal;
  color: white;
  font-size: 4vh;
  width: 100%;
  margin: auto;
  margin-top: 15vw;
}

.startbutton{
  text-align: center;
  background-color: #024059;
  bottom: 0;
}

.startbuttonanimation{
  border: 1px solid #F2A35E;
  border-width: 5px;
  background: transparent;
  padding: 10px 20px;
  font-family: arial;
  font-weight: bold;
  font-size: 2.5vw;
  cursor: pointer;
  transition: 0.5s;
  position: relative;
  overflow: hidden;
  text-align: center;
  width: 35vw;
}
.startbuttonanimation{
  color: #F2A35E;
  z-index: 1;
}
.startbuttonanimation:hover{
  color: #024059;
  z-index: 1;
}
.startbuttonanimation::before{
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 0;
  background: #F2A35E;
  z-index: -1;
  transition: 0.5s;
}
.startbuttonanimation::before{
  top: 0;
}
.startbuttonanimation:hover::before{
  height: 100%;
}

.mailbutton{
  text-align: center;
  background-color: #024059;
  bottom: 0;
  margin-top: 5vw;
}

.mailbuttonanimation{
  border: 1px solid #F2A35E;
  border-width: 5px;
  background: transparent;
  padding: 10px 20px;
  font-family: arial;
  font-weight: bold;
  font-size: 2vh;
  cursor: pointer;
  transition: 0.5s;
  position: relative;
  overflow: hidden;
  text-align: center;
  width: 25vw;
  float: left;
}
.mailbuttonanimation{
  color: #F2A35E;
  z-index: 1;
}
.mailbuttonanimation:hover{
  color: #024059;
  z-index: 1;
}
.mailbuttonanimation::before{
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 0;
  background: #F2A35E;
  z-index: -1;
  transition: 0.5s;
}
.mailbuttonanimation::before{
  top: 0;
}
.mailbuttonanimation:hover::before{
  height: 100%;
}

img.page_home_picture{
  object-fit: contain;
  height: 100%;
  width: 100%;
}

img.aboutpicture{
  object-fit: contain;
  height: 75%;
  width: 100%;
}

.portfolio-image{
  width: 100%;
}

.social-links-contact .social-icon{
  width: 7vh;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 0% 6px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  padding-bottom: 10px;
}
  
.social-links-contact .social-icon:hover{
  background-size: 100% 6px;
}

.title-bar{
  font-size: 30px;
  margin-bottom: 2vh;
  margin-top: 2vh;
  text-align: center;
  font-family: arial;
  font-weight: bold;
  color: white;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 100% 6px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  padding-bottom: 10px;
}

.title-bar-portfolio{
  font-size: 30px;
  margin-bottom: 2vh;
  margin-top: 2vh;
  text-align: center;
  font-family: arial;
  font-weight: bold;
  color: white;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 100% 6px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  padding-bottom: 10px;
}

.page-text{
  font-size: 20px;
  text-align: left;
  font-family: arial;
  font-weight: normal;
  color: white;
  line-height: 25px;
}

.page-text-portfolio{
  font-size: calc(0.5vw + 10px);
  text-align: center;
  font-family: arial;
  font-weight: normal;
  color: white;
  line-height: calc(0.5vw + 15px);
}

.phone-icon{
  width: 3.5vh;
  margin-top: 2vh;
}

.mail-icon{
  width: 3.5vh;
  margin-top: 2vh;
}

.contact-text{
  font: arial;
  font-weight: normal;
  color: white;
  font-size: 20px;
  line-height: 25px;
}

.contact-text-location{
  font: arial;
  font-weight: normal;
  color: white;
  font-size: 20px;
  margin-top: 4vh;
}

.portfolio-icons{
  width: 30%;
}

.cart-videos{
  margin-top: 2vh;
}

.portfoliomenu{
  min-height: 100vh;
  width: 100%;
  float: left;
  padding: 100px 0;
}
  
.container-portfoliobutton{
  max-width: 1170px;
  margin: auto;
  font-size: 25px;
}

.portfoliomenu .heading{
  margin-top: 15%;
  width: 100%;
  float: center;
}

.portfoliomenu .heading h1{
  text-align: center;
  font-family: arial;
  color: white;
  font-weight: bold;
}

.portfoliomenu .content {
  float: left;
  width: 100%;
}

.portfoliomenu .content .box{
  width: 50%;
  float: left;
  padding: 15px;
}

.portfoliomenu .content .box .inner{
  padding: 30px;
  text-align: center;
  position: relative;
}

.portfoliomenu .content .box .inner::before{
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 0%;
  box-sizing: border-box;
  border-bottom: 3px solid transparent;
  border-left: 3px solid transparent;
  transition: all 0.5s ease;
  border-width: 6px;
}

.portfoliomenu .content .box .inner::after{
  content: '';
  position: absolute;
  right: 0;
  top: 0;
  width: 0%;
  height: 0%;
  box-sizing: border-box;
  border-top: 3px solid transparent;
  border-right: 3px solid transparent;
  transition: all 0.5s ease;
  border-width: 6px;
}

.portfoliomenu .content .box:hover .inner::after,
.portfoliomenu .content .box:hover .inner::before{
  border-color: #F2A35E;
  width: 100%;
  height: 100%;
}

.portfoliomenu .content .box .inner .icon{
  font-size: 50px;
}

.portfoliomenu .content .box .inner h3{
  font-family: arial;
  font-size: 20px;
  font-weight: bold;
  color: white;
  margin: 20px 0;
  transition: all 0.5s ease;
}

.portfoliomenu .content .box:hover .inner h3{
  color: #F2A35E;
}

.portfoliomenu .content .box .inner p{
  font-family: arial;
  font-size: 30px;
  font-weight: bold;
  margin-bottom: 2vh;
  text-align: center;
  color: white;
  line-height: 35px;
  background-size: 100% 6px;
  padding-bottom: 10px;
  transition: all 0.5s ease;
}

.portfoliomenu .content .box:hover .inner p{
  color: #F2A35E;
}

.footer-box{
  max-width: 1170px;
  margin: auto;
}

.row{
  display: flex;
  flex-wrap: wrap;
  background-color: #03161c;
  text-align: left;
}

ul{
  list-style: none;
}

.footer{
  position: absolute;
  background-color: #03161c;
  width: 100%;
}

.footer-col{
  padding: 20px;
  background-color: #03161c;
  width: 33.33%;
}

.footer-col h4{
  font-family: arial;
  font-weight: bold;
  color: white;
  font-size: 110%;
  position: relative;
  background-color: #03161c;
  margin-top: 20px;  
  margin-bottom: 20px;
}

.footer-col h4::before{
  content: '';
  position: absolute;
  left: 0;
  bottom: -10px;
  background-color: #F2A35E;
  height: 5px;
  box-sizing: border-box;
  width: 100%;
}

.footer-col ul{
  background-color: #03161c;
}

.footer-col ul li{
  background-color: #03161c;
}

.footer-col ul li:not(:last-child){
  margin-bottom: 10px;
}

.footer-col ul li a{
  text-decoration: none;
  font-family: arial;
  font-weight: normal;
  color: white;
  font-size: 110%;
  background-color: #03161c;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 0% 3px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  padding-bottom: 5px;
}

.footer-col ul li a:hover{
  background-size: 100% 3px;
}

.footer-col .social-links{
  background-color: #03161c;
}

.footer-col .social-links a{
  background-color: #03161c;
}

.footer-col .social-links img{
  width: 10%;
  margin-right: 5px;
  background-color: #03161c;
  background-image: linear-gradient(#F2A35E, #F2A35E);
  background-size: 0% 3px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  padding-bottom: 5px;
}

.footer-col .social-links img:hover{
  background-size: 100% 3px;
}

p.information{
  text-decoration: none;
  font-family: arial;
  font-weight: normal;
  color: white;
  font-size: 110%;
  margin: 0;
  background-color: #03161c;
  margin-bottom: 10px;
}

.languagebutton{
  background-color: transparent;
  background-image: linear-gradient(white, white);
  background-size: 0% 3px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.5s ease;
  position: absolute;
  top: 0;
  right: 0;
}

.languagebuttonanimation{
  font-weight: bold;
  border: 1px solid white;
  font-family: arial;
  font-size: 70%;
  border-width: 3px;
  background: transparent;
  padding: 5px 10px;
  margin: 10px;
  transition: 0.5s;
  position: relative;
  overflow: hidden;
}

.languagebuttonanimation{
  color: white;
  z-index: 1;
}

.languagebuttonanimation:hover{
  color: #03161c;
  font-weight: bold;
  z-index: 1;
}

.languagebuttonanimation::before{
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 0;
  background: white;
  z-index: -1;
  transition: 0.5s;
}

.languagebuttonanimation::before{
  top: 0;
}

.languagebuttonanimation:hover::before{
  height: 100%;
}

@media(max-width: 767px){
.portfoliomenu .content .box{
    width: 100%;
  }
.footer-col{
    width: 50%;
    margin-bottom: 30px;
  }
.footer{
    margin-top: 200px;
}
}

@media(max-width: 1150px){
  .page-text{
    font-size: 15px;
    line-height: 16.5px;
}
  .contact-text{
  font-size: 15px;
  line-height: 16.5px;
}
  .title-bar{
  font-size: 25px;
}
  .title-bar-portfolio{
  font-size: 25px;
}
}

@media(max-width: 767px){
  .page-text{
    font-size: 11px;
    line-height: 12.5px;
}
  .contact-text{
  font-size: 11px;
  line-height: 12.5px;
}
  .title-bar{
  font-size: 20px;
}
  .title-bar-portfolio{
  font-size: 20px;
}
}